curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows/wf_abc123"
{
"workflowId": "wf_abc123",
"name": "KYC Premium",
"entryNodeId": "nd_req",
"nodes": [
{ "id": "nd_req", "type": "request", "next": "nd_verify" },
{ "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name", "birthdate"] } },
{ "id": "nd_resp", "type": "response" }
],
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
Workflows
Get Workflow
Retrieve a single workflow by ID.
GET
/
apps
/
{client_id}
/
workflows
/
{workflow_id}
curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows/wf_abc123"
{
"workflowId": "wf_abc123",
"name": "KYC Premium",
"entryNodeId": "nd_req",
"nodes": [
{ "id": "nd_req", "type": "request", "next": "nd_verify" },
{ "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name", "birthdate"] } },
{ "id": "nd_resp", "type": "response" }
],
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
Returns details of a specific workflow.
Request
string
required
Bearer <API_KEY> from Console > Developers > Workspace API Keys.Path parameters
string
required
Client identifier of the app.
string
required
Workflow identifier.
Response
string
Workflow identifier.
string
Workflow name.
string
Entry node ID.
object[]
Array of flow nodes.
string
ISO 8601 timestamp.
string
ISO 8601 timestamp.
curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows/wf_abc123"
{
"workflowId": "wf_abc123",
"name": "KYC Premium",
"entryNodeId": "nd_req",
"nodes": [
{ "id": "nd_req", "type": "request", "next": "nd_verify" },
{ "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name", "birthdate"] } },
{ "id": "nd_resp", "type": "response" }
],
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}

